//Contains all style customization of different ui components for blue bg theme
$blueThemeConfig :(foreground:white,
titleBackground: rgba(0, 0, 0, 0.75), //$app-accent-mat-color is 0.87
background: $app-primary-mat-color,
backgroundContrast: rgba(14, 41, 87, 1), // #0E2957,
dangerColor: rgba(255, 0, 0, 0.64),
borderColor: rgba(255, 255, 255, .6),
dimWhite: rgba(255, 255, 255, .6));

@function blue-theme($key) {  
  @return map-get($blueThemeConfig, $key);  
 }

@mixin bgBlue() {
  background-color: blue-theme('background');
  color: blue-theme('foreground');
}

.bg-blue {
  @include bgBlue();
}

.blue-bg-theme {
  @include bgBlue();

  .btn-icon-delete {
    color: blue-theme('dangerColor');
  }

  .mat-spinner {
    background-color: transparent;
  }

  circle {
    stroke: blue-theme('foreground');
  }

  input,
  .mat-select-arrow,
  .mat-select-value-text {
    color: blue-theme('foreground');
  }

  button.mat-primary {
    background-color: blue-theme('backgroundContrast');
    color: blue-theme('foreground');
  }

  button.btn-blue-secondary{
    background-color: rgba(0, 0, 255, .3);
  }

  .native-form-field.mat-form-field {
    border: 1px solid blue-theme('foreground');

    .mat-form-field-label {
      color: blue-theme('dimWhite')
    }
  }

  input.native-form-control {
    background-color: blue-theme('background');
    border: 1px solid blue-theme('borderColor');
  }

  input {
    caret-color: blue-theme('foreground');

    &::selection {
      background-color: blue-theme('backgroundContrast')
    }

    &::placeholder {
      color: blue-theme('dimWhite')
    }
  }
}

.blue-bg-theme {
  &.cdk-overlay-pane {
    //otherwise there is equi-dimension blue div appears behind the actual dialog content
    background-color: inherit;
    color: inherit;
  }

  .mat-dialog-container {
    @include bgBlue();
  }

  .mat-dialog-title {
    background-color: blue-theme('titleBackground');
    margin: 0 -24px;
    padding: 5px 24px;
    border-bottom: 1px solid blue-theme('borderColor');
  }
}

.blue-bg-theme {

  .mat-cell,
  .mat-header-cell {
    color: blue-theme('foreground');
  }

  .mat-row,
  .mat-header-row {
    border-bottom-color: blue-theme('borderColor');
  }
}
